<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $wpdb;
$id = "";

$gallery_wp_nonce_add_album = wp_create_nonce('gallery_wp_nonce_add_album');
$gallery_wp_nonce_delete_gallery_from_album = wp_create_nonce('gallery_wp_nonce_delete_gallery_from_album');
if (isset($_GET['id']) && $_GET['id'] != '') {
    $id = intval($_GET['id']);

    if ($id == 0) {
        wp_die("undefined ID");
    }
}

?>
<input type="hidden" name="album_id" value="<?= $id ?>" id="hidden_album_id"/>
<div id="gallery-image-zoom">
    <img src=""/>
</div>

<div class="wrap">
    <?php $path_site = plugins_url("../images", __FILE__);
    $save_data_nonce = wp_create_nonce('huge_it_gallery_nonce_save_data' . $id);
    $add_video_nonce = wp_create_nonce('gallery_add_video_nonce' . $id);
    ?>
    <div class="clear"></div>
    <form action="admin.php?page=galleries_huge_it_albums&id=<?php echo $album_row->id; ?>&save_data_nonce=<?php echo $save_data_nonce; ?>"
          method="post"
          name="adminForm" id="adminForm">
        <input type="hidden" class="changedvalues" value="" name="changedvalues" size="80">
        <div id="poststuff">
            <div id="gallery-header">
                <ul id="gallerys-list">
                    <?php
                    foreach ($rowsld as $rowsldires) {
                        if ($rowsldires->id != $album_row->id) {
                            ?>
                            <li>
                                <a href="#"
                                   onclick="window.location.href='admin.php?page=galleries_huge_it_albums&task=edit_cat&id=<?php echo $rowsldires->id; ?>'"><?php echo $rowsldires->name; ?></a>
                            </li>
                            <?php
                        } else { ?>
                            <li class="active"
                                onclick="this.firstElementChild.style.width = ((this.firstElementChild.value.length + 1) * 15) + 'px';"
                                style="background-image:url(<?php echo GALLERY_IMG_IMAGES_URL . '/admin_images/edit.png'; ?>);cursor: pointer;">
                                <input class="text_area" onkeyup="album_name_changeTop(this)"
                                       onfocus="this.style.width = ((this.value.length + 1) * 8) + 'px'" type="text"
                                       name="name" id="name" maxlength="250"
                                       value="<?php echo esc_html(stripslashes($album_row->name)); ?>"/>
                            </li>
                            <?php
                        }
                    }
                    ?>
                    <li class="add-new">
                        <a onclick="window.location.href='admin.php?page=galleries_huge_it_albums&amp;task=add_album&gallery_wp_nonce_add_album=<?php echo $gallery_wp_nonce_add_album; ?>'">+</a>
                    </li>
                </ul>
            </div>
            <div id="post-body" class="metabox-holder columns-2">
                <!-- Content -->
                <div id="post-body-content">
                    <?php add_thickbox(); ?>
                    <div id="post-body">


                        <?php
                        if (count($all_galleries)) { ?>
                            <div style="margin-bottom: 10px;">
                                <h4><?php echo __('Add galleries to this album', 'gallery-images'); ?></h4>
                                <ul>
                                    <?php
                                    foreach ($all_galleries as $val) {
                                        ?>

                                        <li>
                                            <label for="unplugged-<?= $val->id ?>"><input
                                                        id="unplugged-<?= $val->id ?>"
                                                        type="checkbox"
                                                        name="unplugged[]"
                                                        value="<?= $val->id ?>"><?= $val->name ?>
                                            </label>
                                        </li>

                                        <?php
                                    }
                                    ?>
                                </ul>
                                <input type="button" onclick="albumImgSubmitButton('apply')"
                                       value="Add selected galleries" disabled
                                       id="add_galleries_button" class="button button-primary button-large">
                            </div>
                        <?php } ?>

                        <h3> <?php echo __('Added galleries', 'gallery-images'); ?> </h3>
                        <ul id="images-list">
                            <?php
                            $i = 2;
                            foreach ($row_galleries as $key => $val) {
                                if ($val->sl_type == "video") {
                                    $videourl = gallery_img_get_video_id_from_url($val->img_url);
                                    if ($videourl[1] == 'youtube') {
                                        $thumb = "http://img.youtube.com/vi/" . esc_html($videourl[0]) . "/mqdefault.jpg";
                                    } else {
                                        $hash = unserialize(wp_remote_fopen("http://vimeo.com/api/v2/video/" . $videourl[0] . ".php"));
                                        $imgsrc = $hash[0]['thumbnail_large'];
                                        $thumb = esc_attr($imgsrc);
                                    }
                                } else {
                                    $thumb = esc_attr($val->img_url);
                                }
                                $val->img_url = $thumb;

                                ?>

                                <li class="<?php if ($i % 2 == 0) {
                                    echo "has-background";
                                }
                                $i++; ?> ui-sortable-handle">
                                    <input class="order_by" type="hidden"
                                           name="order_by_<?php echo $val->id; ?>"
                                           value="<?php echo $val->ordering; ?>"/>
                                    <div class="image-container">
                                        <div class="list-img-wrapper">
                                            <img src="<?php if ($val->cover_image != "") echo $val->cover_image; else echo $val->img_url ?>"/>
                                        </div>
                                        <div>
                                            <span class="wp-media-buttons-icon"></span>
                                        </div>
                                    </div>
                                    <div class="image-options">
                                        <div>
                                            <h3 style="width: 70%;float:left;">
                                                <a href="?page=galleries_huge_it_gallery&ref=albums&task=edit_cat&album_id=<?= $id ?>&id=<?= $val->id ?>"><?= $val->name ?></a>
                                            </h3>

                                            <?php if (!empty($categories)) { ?>
                                                <div class="ph-gallery-wp-gallery-categories">
                                                    <p><?php echo __('Select categories', 'gallery-images'); ?></p>
                                                    <ul class="gallery_cat_list">
                                                        <?php
                                                        if (!empty($categories)) {
                                                            foreach ($categories as $key => $value) {
                                                                $checked = (in_array($value->id, $val->category_arr)) ? "checked" : "";
                                                                ?>
                                                                <li>
                                                                    <input type="checkbox"
                                                                           name="gallery_cat[<?php echo $val->id_gallery; ?>][]"
                                                                           value="<?php echo ++$key; ?>" <?php echo $checked; ?>
                                                                           id="gallery_cat_<?php echo $val->id_gallery; ?>_<?php echo $value->id; ?>">
                                                                    <?php echo $value->name; ?>
                                                                </li>
                                                                <?php
                                                            }
                                                        }
                                                        ?>
                                                    </ul>

                                                </div>
                                            <?php } ?>
                                            <div style="float:right">
                                                <a href="?page=galleries_huge_it_gallery&ref=albums&task=edit_cat&album_id=<?= $id ?>&id=<?= $val->id ?>">
                                                    <img style="opacity:0.5; width:35px;" title="edit" alt="edit"
                                                         src="<?php echo GALLERY_IMG_IMAGES_URL . "/admin_images/edit_icon.png"; ?>"/>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="remove-gallery-container">
                                            <a
                                                    href="?page=galleries_huge_it_albums&task=delete_gallery&gallery_id=<?= $val->id ?>&id=<?= $album_row->id ?>&gallery_nonce_remove_gallery_from_album=<?= $gallery_wp_nonce_delete_gallery_from_album ?>"
                                                    id="remove_image<?php echo $val->id; ?>"
                                                    class="button remove-image"
                                                    data-image-id="<?php echo $val->id; ?>"
                                                    data-gallery-id="<?php echo $album_row->id; ?>">
                                                <?= __('Remove Gallery from album', 'gallery-images') ?></a>
                                        </div>
                                    </div>

                                    <div class="clear"></div>
                                </li>


                            <?php } ?>


                        </ul>
                    </div>

                </div>

                <!-- SIDEBAR -->
                <div id="postbox-container-1" class="postbox-container">
                    <div id="side-sortables" class="meta-box-sortables ui-sortable">
                        <div id="gallery-unique-options" class="postbox">
                            <h3 class="hndle">
                                <span><?php echo __('Album Custom Options', 'huge-it-gallery'); ?></span>
                            </h3>
                            <ul id="gallery-unique-options-list">
                                <?php //ns code start ?>
                                <li>
                                    <label
                                            for="huge_it_gallery_album_name"><?php echo __('Album name', 'huge-it-gallery'); ?></label>
                                    <input type="text" name="album_name" id="huge_it_gallery_album_name"
                                           value="<?php echo esc_html(stripslashes($album_row->name)); ?>"
                                           onkeyup="name_changeRight(this)">
                                </li>
                                <li>
                                    <label for="image_gallery_wp_album_style"><?= __('Select View', 'huge-it-gallery') ?></label>
                                    <select name="image_gallery_wp_album_style" id="image_gallery_wp_album_style">
                                        <option value="1" <?php if ($album_row->photo_gallery_wp_album_style == 1) echo 'selected="selected"' ?>>
                                            1. Gallery/Content-Popup
                                        </option>
                                        <option value="2" <?php if ($album_row->photo_gallery_wp_album_style == 2) echo 'selected="selected"' ?>>
                                            2. Lightbox-Gallery
                                        </option>
                                        <option value="3" <?php if ($album_row->photo_gallery_wp_album_style == 3) echo 'selected="selected"' ?>>
                                            3. Thumbnails View
                                        </option>
                                    </select>
                                </li>

                                <div id="major-publishing-actions" style="background-color: #ffffff;">
                                    <div id="publishing-action">
                                        <input type="button" onclick="albumImgSubmitButton('apply')"
                                               value="Save Album"
                                               id="save-buttom" class="button button-primary button-large">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                        </div>


                        <div class="postbox">
                            <h3 class="hndle"><span><?php echo __('Categories', 'portfolio-gallery'); ?></span>
                            </h3>
                            <div class="inside ">
                                <ul class="album_cat_list">
                                    <?php
                                    $cat_array = array();
                                    if (isset($album_row->category) && $album_row->category != "") {
                                        $cat_array = explode(",", $album_row->category);
                                    }
                                    if (!empty($categories)) {
                                        foreach ($categories as $key => $value) {
                                            ?>
                                            <li>

                                                <input class="del_val" name="cat_names[]"
                                                       value="<?php echo esc_attr(str_replace("_", " ", $value->name)); ?>"
                                                >
                                                <span class="delete_cat"><img
                                                            src="<?php echo GALLERY_IMG_IMAGES_URL . "/admin_images/remove.jpg"; ?>"
                                                            width="9" height="9" value="a"></span>
                                            </li>
                                            <?php
                                        }
                                    }
                                    ?>
                                </ul>
                                <hr>
                                <p><?= __("Add new category", "huge-it-gallery") ?></p>
                                <input type="text" id="new_cat" name="new_category">
                                <a href="#"
                                   id="add_new_cat">+ <?= __("Add", "huge-it-gallery") ?></a>
                            </div>
                        </div>


                        <div id="ph-gallery-wp-shortcode-box" class="postbox shortcode ms-toggle">
                            <h3 class="hndle"><span><?php echo __('Usage', 'huge-it-gallery'); ?></span></h3>
                            <div class="inside">
                                <ul>
                                    <li rel="tab-1" class="selected">
                                        <h4><?php echo __('Shortcode', 'huge-it-gallery'); ?></h4>
                                        <p><?php echo __('Copy &amp; paste the shortcode directly into any WordPress post or page.', 'huge-it-gallery'); ?></p>
                                        <textarea style="width:100%;" class="editor_embed"
                                                  readonly="readonly"><?= '[huge_it_gallery_album id="' . $album_row->id . '"]' ?></textarea>
                                    </li>
                                    <li rel="tab-2">
                                        <h4><?php echo __('Template Include', 'huge-it-gallery'); ?></h4>
                                        <p><?php echo __('Copy &amp; paste this code into a template file to include the slideshow within your theme.', 'huge-it-gallery'); ?></p>
                                        <textarea style="width:100%;" class="script_embed"
                                                  readonly="readonly"><?= '<?php echo do_shortcode("[huge_it_gallery_album id="' . $album_row->id . ']") ?>' ?></textarea>

                                    </li>
                                </ul>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field('huge_it_gallery_nonce_save_album', 'huge_it_gallery_nonce_save_album') ?>
        <input type="hidden" name="task" value=""/>
    </form>
</div>


<script type="text/javascript">

    jQuery(document).ready(function ($) {
        $("#get_count").click(function (e) {
            e.preventDefault();
            var cat_cnt = $("input[name='categories[]']").length;
        });
        $("#add_new_cat").click(function (e) {
            e.preventDefault();
            var new_cat = $("#new_cat").val();
            if (new_cat.length == 0) {
                $("#new_cat").css("border", "1px solid red");
                setTimeout(function () {
                    $("#new_cat").css("border", "1px solid #ddd");
                }, 3000);
                return;
            }

            var cat_id = $("input[name='categories[]']").length + 1;


            $(".album_cat_list").append("<li><input style='class='del_val' name='cat_names[]' value='" + new_cat + "'>" +
                "&nbsp;<span class='delete_cat'><img src='<?php echo GALLERY_IMG_IMAGES_URL . '/admin_images/remove.jpg'; ?>' width='9' height='9' value='a'></span></li>");
            $("#new_cat").val("");
        });

        $(".delete_cat").live("click", function () {
            $(this).parent().remove();
        })

        $("input[name='unplugged[]']").change(function () {
            var active_checkboxes = $("input[name='unplugged[]']:checked").length;
            if (active_checkboxes > 0) {
                $("#add_galleries_button").removeAttr("disabled");
            }
            else {
                $("#add_galleries_button").attr("disabled", true);
            }
        });
        $("#image_gallery_wp_album_style").change(function () {
            $(".editor_embed").val('[huge_it_gallery_album id="' + $("#hidden_album_id").val() + '" style="' + $(this).val() + '"]');
            var sh_code = "<" + "?php echo do_shortcode(\"[huge_it_gallery_album id='" + $("#hidden_album_id").val() + "' style='" + $(this).val() + "']\")?>";
            $(".script_embed").val(sh_code);
        })

    });

</script>
