<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $wpdb;
$huge_it_gallery_nonce_remove_album = wp_create_nonce('huge_it_gallery_nonce_remove_album');
$gallery_wp_nonce_add_album = wp_create_nonce('gallery_wp_nonce_add_album');

?>

<div class="wrap">
    <?php $path_site = plugins_url("../images", __FILE__); ?>
    <div style="clear: both;"></div>
    <div id="poststuff">
        <div id="ph-gallery-wp-gallerys-list-page">
            <h2>Huge-IT <?php echo __('Albums', 'photo-gallery-wp'); ?>
                <a onclick="window.location.href='admin.php?page=galleries_huge_it_albums&task=add_album&gallery_wp_nonce_add_album=<?php echo $gallery_wp_nonce_add_album; ?>'"
                   class="add-new-h2"><?php echo __('Add New Album', 'photo-gallery-wp'); ?></a>
            </h2>
            <div class="photo_gallery_wp_search_pagination_banner">
                <form name="photo_gallery_wp_search_album" action="admin.php" method="GET">

                    <?php if ($pagination['enable']): ?>
                        <div class="tablenav" style="display: inline">
                            <div class="tablenav-pages">
                                <span class="displaying-num"><?php echo $pagination['pagination_links_count'] ?>
                                    items</span>
                                <span class="pagination-links">
										<?php if ($pagination['current'] > 2): ?>
                                            <a class="next-page"
                                               href="<?php echo $pagination['links'] . '&paged=1'; ?>">
												<span class="screen-reader-text">First page</span>
												<span>«</span>
											</a>
                                        <?php else: ?>
                                            <span class="tablenav-pages-navspan">«</span>
                                        <?php endif; ?>
                                    <?php if ($pagination['current'] > 1): ?>
                                        <a class="next-page"
                                           href="<?php echo $pagination['links'] . '&paged=' . ($pagination['current'] - 1); ?>">
												<span class="screen-reader-text">Prev page</span>
												<span>‹</span>
											</a>
                                    <?php else: ?>
                                        <span class="tablenav-pages-navspan">‹</span>
                                    <?php endif; ?>
                                    <span class="paging-input">
											<label for="current-page-selector"
                                                   class="screen-reader-text">Current Page</label>
											<input class="current-page" id="current-page-selector" type="text"
                                                   name="paged" value="<?php echo $pagination['current'] ?>" size="1">
											<span class="tablenav-paging-text"> of
												<span class="total-pages"><?php echo $pagination['pagination_links_count'] ?></span>
											</span>
										</span>
                                    <?php if ($pagination['pagination_links_count'] - $pagination['current'] >= 1): ?>
                                        <a class="next-page"
                                           href="<?php echo $pagination['links'] . '&paged=' . ($pagination['current'] + 1); ?>">
											<span class="screen-reader-text">Next page</span>
											<span>›</span>
										</a>
                                    <?php else: ?>
                                        <span class="tablenav-pages-navspan">›</span>
                                    <?php endif; ?>
                                    <?php if ($pagination['pagination_links_count'] - $pagination['current'] >= 2): ?>
                                        <a class="next-page"
                                           href="<?php echo $pagination['links'] . '&paged=' . $pagination['pagination_links_count']; ?>">
											<span class="screen-reader-text">Last page</span>
											<span>»</span>
										</a>
                                    <?php else: ?>
                                        <span class="tablenav-pages-navspan">»</span>
                                    <?php endif; ?>
									</span>
                            </div>
                        </div>
                    <?php endif; ?>
                </form>
            </div>
            <table class="wp-list-table widefat fixed pages" style="width:95%">
                <thead>
                <tr>
                    <th scope="col" id="id" style="width:30px">
                        <span><?php echo __('ID', 'photo-gallery-wp'); ?></span><span
                                class="sorting-indicator"></span></th>
                    <th scope="col" id="name" style="width:85px">
                        <span><?php echo __('Name', 'photo-gallery-wp'); ?></span><span
                                class="sorting-indicator"></span></th>
                    <th scope="col" id="prod_count" style="width:40px;">
                        <span><?php echo __('Galleries', 'photo-gallery-wp'); ?></span><span
                                class="sorting-indicator"></span></th>
                    <th style="width:40px"><span><?php echo __('Delete', 'gallery-images'); ?></span><span
                                class="sorting-indicator"></span></th>
                </tr>
                </thead>
                <tbody>

                <?php
                foreach ($albums as $k => $item):
                    $item_id = intval($item->id);
                    $huge_it_gallery_nonce_remove_album = wp_create_nonce('huge_it_gallery_nonce_remove_album' . $item_id);
                    ?>
                    <tr <?php if ($k % 2 == 0) {
                        echo "class='has-background'";
                    } ?>>
                        <td><?= $k + 1 ?></td>
                        <td>
                            <a href="admin.php?page=galleries_huge_it_albums&task=edit_cat&id=<?= $item_id ?>"><?= esc_html(stripslashes($item->name)); ?></a>
                        </td>
                        <td> (<?= $item->galleries_count ?>)</td>
                        <td>
                            <a href="admin.php?page=galleries_huge_it_albums&task=remove_album&id=<?= $item_id ?>&huge_it_gallery_nonce_remove_album=<?php echo $huge_it_gallery_nonce_remove_album; ?>"
                               class="delete-link"><span class="delete-icon"></span></a>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
