<?php
wp_register_style('album-popup-css', Gallery_Img()->plugin_url() . "/assets/albums/style/album-popup.css");
wp_enqueue_style('album-popup-css');

wp_register_script('album-popup-view-js', Gallery_Img()->plugin_url() . '/assets/albums/js/album_popup_view.js', array('jquery'), '1.0.0', true);
wp_enqueue_script('album-popup-view-js');

switch (get_option("gallery_img_album_popup_onhover_effects")) {
    case 0:
        $hover_class = "view-first";
        break;
    case 1:
        $hover_class = "view-second";
        break;
    case 2:
        $hover_class = "view-third";
        break;
    case 3:
        $hover_class = "view-forth";
        break;
    case 4:
        $hover_class = "view-fifth";
        break;
    default:
        $hover_class = "view-first";
        break;
}


$album_share = 1;

$mosaic_count = 1;
$mosaic = 1;

$cat_class = array();
$cat_class_all = array();

foreach ($album_categories as $val) {
    $cat_class_all[] = ".hg_cat_" . $val->id;
}

$mosaic_width = get_option("gallery_img_ht_view2_element_width");
$show_title = (in_array(get_option("gallery_img_album_popup_show_title"), array("yes", "true", "on"))) ? "yes" : "no";
$show_desc = (in_array(get_option("gallery_img_album_popup_show_description"), array("yes", "true", "on"))) ? "yes" : "no";
?>

<input type="hidden" name="mosaic" value="<?= $mosaic ?>">
<input type="hidden" name="mosaic_count" value="<?= $mosaic_count ?>">
<input type="hidden" name="mosaic_width" value="<?= $mosaic_width ?>">
<input type="hidden" name="show_title" value="<?= $show_title ?>">
<input type="hidden" name="show_desc" value="<?= $show_desc ?>">

<div id="main" style="display: inline-block; width:100%;">
    <div id="album_list_container">
        <?php if (!empty($cat_class_all)) { ?>
            <div class="row album_categories">
                <ul id="filters" class="clearfix">
                    <li><span class="filter active" id="album_all_categories"
                              data-filter=".hg_cat_0, <?php echo implode(', ', $cat_class_all); ?>"><?= __("All", "gallery-images") ?></span>
                    </li>
                    <?php foreach ($album_categories as $key => $cat) { ?>
                        <li><span class="filter" data-filter=".hg_cat_<?= $cat->id ?>"><?= $cat->name ?></span></li>
                    <?php } ?>
                </ul>
            </div>
        <?php } ?>
        <div class="row filtr-container album_list" id="album_list">
            <?php
            foreach ($albums as $key => $val) {
                foreach ($val->galleries as $album) { ?>
                    <div class="view <?= $hover_class; ?>  <?php echo implode(" ", $album->cat_class); ?> hg_cat_0">
                        <div class="<?= $hover_class; ?>-wrapper view-wrapper">
                            <?php if (in_array(get_option("gallery_img_album_popup_show_image_count_2"), array('true', 'yes', 'on'))) { ?>
                                <span class="album_images_count"><?= $album->image_count ?><br><span
                                            class="count_image">Images</span></span>
                            <?php } ?>
                            <a href="#" class="hgphoto-album-gallery-<?= $album->id ?> hgphoto-gallery-link">
                                <img src="<?= $album->image_url ?>" alt="<?= $album->name ?>"/>
                                <div class="mask">
                                    <a href="#" class="hgphoto-album-gallery-<?= $album->id ?> hgphoto-gallery-link">
                                        <div class="mask-text">
                                            <?php if ($show_title == "yes") { ?>
                                                <h2><?= $album->name ?></h2>
                                            <?php }
                                            if ($show_desc == "yes") { ?>
                                                <span class="text-category"><?= $album->description ?></span>
                                            <?php } ?>
                                        </div>

                                        <a href="#"
                                           class="hgphoto-album-gallery-<?= $album->id ?> hgphoto-gallery-link">
                                            <div class="mask-bg"></div>
                                        </a>
                                </div>
                            </a>
                        </div>
                    </div>
                <?php }
            } ?>
        </div>
    </div>
</div>


<?php if ($hover_class == "view-fifth") { ?>

    <script type="text/javascript">
        jQuery(document).ready(function () {
            jQuery(' #album_list > .view-fifth ').each(function () {
                jQuery(this).hoverdir();
            });
        });
    </script>
<?php } ?>

<script type="text/javascript">
    jQuery(function () {
        var filterList = {
            init: function () {
                jQuery('#album_list').mixItUp({
                    selectors: {
                        target: '.view',
                        filter: '.filter'
                    }
                });
            }
        };
        filterList.init();
    });

    jQuery(document).ready(function () {
        jQuery("#hgphotobox-thumbs").hide();

        jQuery(document).ready(function () {
            jQuery("#album_all_categories").addClass("active");
        })

        var shareButtons = '<ul class="rwd-share-buttons" style="display: block;">';
        shareButtons += '<li><a title="Facebook" class="album_social_fb" id="rwd-share-facebook" target="_blank"></a></li>';
        shareButtons += '<li><a title="Twitter" class="album_social_twitter" id="rwd-share-twitter" target="_blank"></a></li>';
        shareButtons += '<li><a title="Google Plus" class="album_social_google" id="rwd-share-googleplus" target="_blank"></a></li>';
        shareButtons += '</ul>';

        jQuery(".album_socials").append(shareButtons);

        jQuery('.album_social_fb').attr('href', 'https://www.facebook.com/sharer/sharer.php?u=' + (encodeURIComponent(document.URL)));
        jQuery('.album_social_twitter').attr('href', 'https://twitter.com/intent/tweet?text=&url=' + (encodeURIComponent(document.URL)));
        jQuery('.album_social_google').attr('href', 'https://plus.google.com/share?url=' + (encodeURIComponent(document.URL)));
    });
</script>

<script type="text/javascript">
    var hgphoto_albums_galleries = [],
        hgphoto_albums_galleries_images = {},
        hgphoto_albums_isotopes = [],
        hgphoto_albums_isotopes_config = [],
        hgphoto_albums_sort = {"56458": false, "56464": false, "56462": false};

    jQuery(document).ready(function ($) {

        $(".hugeit_album_item").click(function () {
        });

        var hgphoto_container_56458 = '';

        hgphoto_container_56458 = $('#hgphoto-gallery-56458').hgphotoImagesLoaded(function () {
            $('.hgphoto-gallery-item img').show();
        });

        <?php
        foreach ($albums as $key => $album){


        foreach($album->galleries as $k => $gallery){

        echo "hgphoto_albums_galleries_images[$gallery->id] = [];";
        foreach($gallery->images as $k_img => $image){
        if ($image->sl_type == "video") {
            $videourl = gallery_img_get_video_id_from_url($image->image_url);
            if ($videourl[1] == 'youtube') {
                $thumb = "http://img.youtube.com/vi/" . esc_html($videourl[0]) . "/mqdefault.jpg";
            } else {
                $hash = unserialize(wp_remote_fopen("http://vimeo.com/api/v2/video/" . $videourl[0] . ".php"));
                $imgsrc = $hash[0]['thumbnail_large'];
                $thumb = esc_attr($imgsrc);
            }
        } else {
            $thumb = esc_attr($image->image_url);
        }
        $image->image_url = $thumb;
        ?>

        hgphoto_albums_galleries_images[<?= $gallery->id ?>].push({
            href: '<?= $image->image_url ?>',
            id: <?= $album->id ?>+<?= $gallery->id ?> + <?= $image->id ?>,
            gallery_id: <?= $gallery->id ?>,
            alt: '',
            caption: '',
            title: '<?= $image->name ?>',
            index: <?= $k_img ?>,
            thumbnail: '<?= $image->image_url ?>',
            mobile_thumbnail: '<?= $image->image_url ?>'
        });

        <?php }
        ?>


        $(document).on('click', '.hgphoto-album-gallery-<?= $gallery->id ?>', function (e) {
            e.preventDefault();

            hgphoto_albums_galleries['<?= $gallery->id ?>'] = $.hgphotobox.open(hgphoto_albums_galleries_images['<?= $gallery->id ?>'], {
                lightboxTheme: 'base',
                margin: 40,
                padding: 15,
                arrows: 1,
                aspectRatio: 1,
                loop: 1,
                mouseWheel: 1,
                preload: 1,
                openEffect: 'none',
                closeEffect: 'none',
                nextEffect: 'fade',
                prevEffect: 'fade',
                tpl: {
                    wrap: '<div class="hgphotobox-wrap" tabIndex="-1"><div class="hgphotobox-skin hgphotobox-theme-base"><div class="hgphotobox-outer"><div class="hgphotobox-inner"><div class="hgphotobox-actions base "></div><div class="hgphotobox-position-overlay hgphoto-gallery-top-left"></div><div class="hgphotobox-position-overlay hgphoto-gallery-top-right"></div><div class="hgphotobox-position-overlay hgphoto-gallery-bottom-left"></div><div class="hgphotobox-position-overlay hgphoto-gallery-bottom-right"></div></div></div></div></div>',
                    image: '<img class="hgphotobox-image" src="{href}" alt="" data-hgphoto-title="" data-hgphoto-caption="" data-hgphoto-index="" data-hgphoto-data="" />',
                    iframe: '<iframe id="hgphotobox-frame{rnd}" name="hgphotobox-frame{rnd}" class="hgphotobox-iframe" frameborder="0" vspace="0" hspace="0" allowtransparency="true"\></iframe>',
                    error: '<p class="hgphotobox-error">The requested content cannot be loaded.<br/>Please try again later.</p>',
                    closeBtn: '<a title="Close" class="hgphotobox-item hgphotobox-close" href="javascript:;"></a>',
                    next: '<a title="Next" class="hgphotobox-nav hgphotobox-next hgphotobox-arrows-inside" href="javascript:;"><span></span></a>',
                    prev: '<a title="Previous" class="hgphotobox-nav hgphotobox-prev hgphotobox-arrows-inside" href="javascript:;"><span></span></a>'
                },
                helpers: {
                    video: {
                        autoplay: 0,
                        playpause: 1,
                        progress: 1,
                        current: 1,
                        duration: 1,
                        volume: 1,
                    },
                    title: {
                        type: 'float',
                        alwaysShow: '',
                    },
                    thumbs: {
                        width: 75,
                        height: 50,
                        mobile_thumbs: 1,
                        mobile_width: 75,
                        mobile_height: 50,
                        source: function (current) {
                            /* current is our images_id array object */
                            return current.thumbnail;
                        },
                        mobileSource: function (current) {
                            /* current is our images_id array object */
                            return current.mobile_thumbnail;
                        },
                        dynamicMargin: false,
                        dynamicMarginAmount: 0,
                        position: 'bottom',
                    },
                    buttons: {
                        tpl: '<div id="hgphotobox-buttons"><ul><li><a class="btnPrev" title="Previous" href="javascript:;"></a></li><li><a class="btnNext" title="Next" href="javascript:;"></a></li><li><a class="btnClose" title="Close" href="javascript:;"></a></li></ul></div>',
                        position: 'top',
                        padding: ''
                    },
                    navDivsRoot: false,
                    actionDivRoot: false,
                },
                beforeLoad: function () {
                    if (typeof hgphoto_albums_galleries_images['<?= $gallery->id ?>'][this.index].caption !== 'undefined') {
                        this.title = hgphoto_albums_galleries_images['<?= $gallery->id ?>'][this.index].caption;
                    } else {
                        this.title = hgphoto_albums_galleries_images['<?= $gallery->id ?>'][this.index].title;
                    }
                },
                afterLoad: function (current, previous) {
                },
                beforeShow: function () {

                    $(window).on({
                        'resize.hgphotobox': function () {
                            $.hgphotobox.update();
                        }
                    });

                    /* Set alt, data-hgphoto-title, data-hgphoto-caption and data-hgphoto-index attributes on Lightbox image */
                    $('img.hgphotobox-image').attr('alt', hgphoto_albums_galleries_images['<?= $gallery->id ?>'][this.index].alt)
                        .attr('data-hgphoto-gallery-id', '<?= $gallery->id ?>')
                        .attr('data-hgphoto-item-id', hgphoto_albums_galleries_images['<?= $gallery->id ?>'][this.index].id)
                        .attr('data-hgphoto-title', hgphoto_albums_galleries_images['<?= $gallery->id ?>'][this.index].title)
                        .attr('data-hgphoto-caption', hgphoto_albums_galleries_images['<?= $gallery->id ?>'][this.index].caption)
                        .attr('data-hgphoto-index', this.index);

                    $('.hgphotobox-overlay').addClass('hgphotobox-thumbs');


                    $('.hgphotobox-overlay').addClass('overlay-video');

                    var overlay_supersize = false;
                    if (overlay_supersize) {
                        $('.hgphotobox-overlay').addClass('overlay-supersize');
                        $('#hgphotobox-thumbs').addClass('thumbs-supersize');
                    }
                    $('.hgphoto-close').click(function (event) {
                        event.preventDefault();
                        $.hgphotobox.close();
                    });
                    $('.hgphotobox-overlay').addClass('overlay-video');
                },
                afterShow: function (i) {
                    $('.hgphotobox-wrap').swipe({
                        swipe: function (event, direction, distance, duration, fingerCount, fingerData) {
                            if (direction === 'left') {
                                $.hgphotobox.next(direction);
                            } else if (direction === 'right') {
                                $.hgphotobox.prev(direction);
                            } else if (direction === 'up') {
                            }
                        }
                    });

                    var overlay_supersize = false;
                    if (overlay_supersize) {
                        $('#hgphotobox-thumbs').addClass('thumbs-supersize');
                    }


                    if ($('#hgphoto-gallery-wrap-56458 div.hgphoto-pagination').length > 0) {
                        var hgphotobox_page = ( $('#hgphoto-gallery-wrap-56458 div.hgphoto-pagination').data('page') );
                    } else {
                        var hgphotobox_page = 0;
                    }
                    this.inner.find('img').attr('data-pagination-page', hgphotobox_page);
                    // console.log (hgphotobox_page);

                },
                beforeClose: function () {
                },
                afterClose: function () {
                    $(window).off('resize.hgphotobox');
                },
                onUpdate: function () {
                    var hgphoto_buttons_56458 = $('#hgphotobox-buttons li').map(function () {
                            return $(this).width();
                        }).get(),
                        hgphoto_buttons_total_56458 = 0;

                    $.each(hgphoto_buttons_56458, function (i, val) {
                        hgphoto_buttons_total_56458 += parseInt(val, 10);
                    });
                    hgphoto_buttons_total_56458 += 1;

                    $('#hgphotobox-buttons ul').width(hgphoto_buttons_total_56458);
                    $('#hgphotobox-buttons').width(hgphoto_buttons_total_56458).css('left', ($(window).width() - hgphoto_buttons_total_56458) / 2);
                },
                onCancel: function () {
                },
                onPlayStart: function () {
                },
                onPlayEnd: function () {
                }
            });

            $('.hgphotobox-overlay').addClass('overlay-base');

        });

        <?php
        }
        }
        ?>

        hgphoto_albums_isotopes['56464'] = hgphoto_container_56464 = $('#hgphoto-gallery-56464').hgphototope(hgphoto_albums_isotopes_config['56464']);
        hgphoto_albums_isotopes['56464'].hgphotoImagesLoaded()
            .done(function () {
                hgphoto_albums_isotopes['56464'].hgphototope('layout');
            })
            .progress(function () {
                hgphoto_albums_isotopes['56464'].hgphototope('layout');
            });
        hgphoto_container_56464 = $('#hgphoto-gallery-56464').hgphotoImagesLoaded(function () {
            $('.hgphoto-gallery-item img').fadeTo('slow', 1);
        });
        var hgphoto_container_56462 = '';


        hgphoto_container_56462 = $('#hgphoto-gallery-56462').hgphotoImagesLoaded(function () {
            $('.hgphoto-gallery-item img').fadeTo('slow', 1);
        });

        $('.simplefilter li').click(function () {
            $('.simplefilter li').removeClass('active');
            $(this).addClass('active');
        });
        //Multifilter controls
        $('.multifilter li').click(function () {
            $(this).toggleClass('active');
        });
        //Shuffle control
        $('.shuffle-btn').click(function () {
            $('.sort-btn').removeClass('active');
        });
        //Sort controls
        $('.sort-btn').click(function () {
            $('.sort-btn').removeClass('active');
            $(this).addClass('active');
        });
    });

</script>
